%global momorel 3

%global glib2_version           2.6.0
%global dbus_version            0.90
%global dbus_glib_version       0.70
%global polkit_version          0.7

Summary: System daemon for tracking users, sessions and seats
Name: ConsoleKit
Version: 0.2.10
Release: %{momorel}m%{?dist}
License: GPLv2
Group: System Environment/Libraries
URL: http://www.freedesktop.org/wiki/Software/ConsoleKit
Source0: http://people.freedesktop.org/~mccann/dist/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: polkit-result.patch
Patch1: ck-exit-with-bus.patch
Patch2: ck-fix-thread-shutdown.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{name}-libs = %{version}-%{release}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: PolicyKit-devel >= %{polkit_version}
BuildRequires: pam-devel
BuildRequires: libX11-devel
BuildRequires: xmlto
BuildRequires: autoconf, automake, libtool
BuildRequires: pkgconfig

%description 
ConsoleKit is a system daemon for tracking what users are logged
into the system and how they interact with the computer (e.g.
which keyboard and mouse they use).

It provides asynchronous notification via the system message bus.

%package x11
Summary: X11-requiring add-ons for ConsoleKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libX11

%description x11 
ConsoleKit contains some tools that require Xlib to be installed,
those are in this separate package so server systems need not install
X. Applications (such as xorg-x11-xinit) and login managers (such as
gdm) that need to register their X sessions with ConsoleKit needs to
have a Requires: for this package.

%package libs
Summary: ConsoleKit libraries
Group: Development/Libraries
Requires: pam
Requires: dbus >= %{dbus_version}

%description libs
Libraries and a PAM module for interacting with ConsoleKit.

%package devel
Summary: Development libraries and headers for ConsoleKit
Group: Development/Libraries
Requires: dbus-devel >= %{dbus_version}
Requires: pkgconfig

%description devel
Headers, libraries and API docs for ConsoleKit

%package docs
Summary: Developer documentation for ConsoleKit
Group: Development/Libraries
Requires: %name = %{version}-%{release}

%description docs
Developer documentation for ConsoleKit.

%prep
%setup -q

%patch0 -p1 -b .polkit-result
%patch1 -p1 -b .exit-with-bus
%patch2 -p1 -b .thread-shutdown

%build
%configure \
	--with-pid-file=%{_localstatedir}/run/console-kit-daemon.pid \
	--enable-pam-module \
	--with-pam-module-dir=/%{_lib}/security \
	--enable-docbook-docs \
	--docdir=%{_docdir}/%{name}-%{version}

make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot} initddir=%{_initscriptdir}

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}/%{_lib}/security/*.a
rm -f %{buildroot}/%{_lib}/security/*.la

# make sure we don't package a history log
rm -f %{buildroot}/%{_var}/log/ConsoleKit/history

# for doc
install -m 644 AUTHORS COPYING ChangeLog HACKING NEWS README TODO %{buildroot}%{_docdir}/%{name}-%{version}

%clean
rm -rf --preserve-root %{buildroot}

%post
if [ -f /var/log/ConsoleKit/history ]; then
   chmod a+r /var/log/ConsoleKit/history
fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/ChangeLog
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/README
%doc %{_datadir}/doc/%{name}-%{version}/TODO
%dir %{_sysconfdir}/ConsoleKit
%dir %{_sysconfdir}/ConsoleKit/run-session.d
%dir %{_sysconfdir}/ConsoleKit/seats.d
%config %{_sysconfdir}/ConsoleKit/seats.d/00-primary.seat
%{_sysconfdir}/dbus-1/system.d/ConsoleKit.conf
%{_bindir}/ck-history
%{_bindir}/ck-launch-session
%{_bindir}/ck-list-sessions
%dir %{_libdir}/ConsoleKit
%dir %{_libdir}/ConsoleKit/run-session.d
%dir %{_libdir}/ConsoleKit/scripts
%{_libdir}/ConsoleKit/scripts/ck-system-*
%{_sbindir}/ck-log-system-restart
%{_sbindir}/ck-log-system-start
%{_sbindir}/ck-log-system-stop
%{_sbindir}/console-kit-daemon
%{_datadir}/PolicyKit/policy/ConsoleKit.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.ConsoleKit.service
%attr(755,root,root) %dir %{_var}/log/ConsoleKit
%dir %{_var}/run/ConsoleKit

%files x11
%defattr(-,root,root,-)
%{_libexecdir}/ck-collect-session-info
%{_libexecdir}/ck-get-x11-display-device
%{_libexecdir}/ck-get-x11-server-pid

%files libs
%defattr(-,root,root,-)
/%{_lib}/security/pam_ck_connector.so
%{_libdir}/libck-connector.so.*
%{_datadir}/man/man8/pam_ck_connector.8*

%files devel
%defattr(-,root,root,-)
%{_includedir}/ConsoleKit
%{_libdir}/pkgconfig/ck-connector.pc
%{_libdir}/libck-connector.so

%files docs
%defattr(-,root,root,-)
%doc %{_datadir}/doc/%{name}-%{version}/spec

%changelog
* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.10-3m)
- import ck-exit-with-bus.patch and ck-fix-thread-shutdown.patch from Fedora
 +* Mon May  5 2008 Jon McCann  <jmccann@redhat.com> - 0.2.10-4
 +- Exit with system bus (#441571)
 +- Correctly shutdown event logger threads (#440349)

* Tue Apr 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.10-2m)
- use make instead of %%make

* Sat Apr 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.10-1m)
- version 0.2.10

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.1-2m)
- %%NoSource -> NoSource

* Fri Apr 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- initial package for Momonga Linux
- import and modify spec file from Fedora

* Mon Apr 02 2007 David Zeuthen <davidz@redhat.com> - 0.2.1-0.git20070402
- Update to git snapshot to get a lot of bug fixes
- Use libX11 rather than gtk2 to verify X11 sessions; update BR and R
- Split X11-using bits into a new subpackage ConsoleKit-x11 (#233982)
- Use correct location for PAM module on 64-bit (#234545)
- Build developer documentation and put them in ConsoleKit-docs

* Mon Mar 19 2007 David Zeuthen <davidz@redhat.com> - 0.2.0-2
- BR gtk2-devel and make ConsoleKit Require gtk2 (could just be
  libX11 with a simple patch)

* Mon Mar 19 2007 David Zeuthen <davidz@redhat.com> - 0.2.0-1
- Update to upstream release 0.2.0
- Daemonize properly (#229206)

* Sat Mar  3 2007 David Zeuthen <davidz@redhat.com> - 0.1.3-0.git20070301.1
- Allow caller to pass uid=0 in libck-connector

* Thu Mar  1 2007 David Zeuthen <davidz@redhat.com> - 0.1.3-0.git20070301
- Update to git snapshot
- Drop all patches as they are committed upstream
- New tool ck-list-sessions
- New -libs subpackage with run-time libraries and a PAM module
- New -devel subpackage with headers

* Tue Feb  6 2007 David Zeuthen <davidz@redhat.com> - 0.1.0-5%{?dist}
- Start ConsoleKit a bit earlier so it starts before HAL (98 -> 90)
- Minimize stack usage so VIRT size is more reasonable (mclasen)
- Make session inactive when switching to non-session (davidz)

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-4
- Don't mark initscripts %%config
- Use proper lock and pid ile names

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-3
- More package review feedback

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-2
- Incorporate package review feedback

* Thu Jan 11 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-1
- Update to the first public release 0.1.0
- Some spec cleanups

* Mon Oct 23 2006 David Zeuthen <davidz@redhat.com> - 0.0.3-1
- Initial build.

